export default function NewsItem(props: {
    date: string,
    title: string,
    color: string,
    link: string[],
    mostRecent?: boolean
}) {

    return (
        <div className={"inline-grid grid-cols-[max-content_auto_max-content] gap-x-2 w-full"}>
            <div className={"font-bold " + props.color}>
                {props.date}
            </div>

        <div className={ props.mostRecent ? 'text-white' : '' + " overflow-hidden text-ellipsis "} >
                {props.title}
            </div>



            <div className="justify-self-end text-right">
                (<a href={props.link[0]}>{props.link[1]}</a>)
            </div>

            <br/>
        </div>
    )
}
